*
*       MOTOROLA, INC.
*       Advanced MCU Division
*       Austin, Texas
*
*       Title : EQUATES
*       Description : This is a table of EQUates for all of the
*                     registers in the HC16.
*
*       Note : This program is written for the M68HC16Z1EVB
**************************************************************************


*****  SIM Module Registers  *****

mcr     equ     $fa00           SIM Module Configuration Register
simtr   equ     $fa02           System Integration Test Register
syncr   equ     $fa04           Clock Synthesizer Control Register
rsr     equ     $fa07           Reset Status Register
simtre  equ     $fa08           System Integration Test Register (E Clock)
porte0  equ     $fa11           Port E Data Register (same data as PORTE1)
porte1  equ     $fa13           Port E Data Register (same data as PORTE0)
ddre    equ     $fa15           Port E Data Direction Register
pepar   equ     $fa17           Port E Pin Assignment Register
portf0  equ     $fa19           Port F Data Register (same data as PORTF1)
portf1  equ     $fa1b           Port F Data Register (same data as PORTF0)
ddrf    equ     $fa1d           Port F Data Direction Register
pfpar   equ     $fa1f           Port F Pin Assignment Register
sypcr   equ     $fa21           System Protection Control Register
picr    equ     $fa22           Periodic Interrupt Control Register
pitr    equ     $fa24           Periodic Interrupt Timing Register
swsr    equ     $fa27           Software Service Register
tstmsra equ     $fa30           Master Shift Register A
tstmsrb equ     $fa32           Master Shift Register B
tstsc   equ     $fa34           Test Module Shift Count
tstrc   equ     $fa36           Test Module Repetition Count
creg    equ     $fa38           Test Submodule Control Register
dreg    equ     $fa3a           Distributed Register
cspdr   equ     $fa41           Port C Data Register
cspar0  equ     $fa44           Chip-Select Pin Assignment Register 0
cspar1  equ     $fa46           Chip-Select Pin Assignment Register 1
csbarbt equ     $fa48           Chip-Select Boot Base Address Register
csorbt  equ     $fa4a           Chip-Select Boot Option Register
csbar0  equ     $fa4c           Chip-Select 0 Base Address Register
csor0   equ     $fa4e           Chip Select 0 Option Register
csbar1  equ     $fa50           Chip-Select 1 Base Address Register
csor1   equ     $fa52           Chip-Select 1 Option Register
csbar2  equ     $fa54           Chip-Select 2 Base Address Register
csor2   equ     $fa56           Chip-Select 2 Option Register
csbar3  equ     $fa58           Chip-Select 3 Base Address Register
csor3   equ     $fa5a           Chip-Select 3 Option Register
csbar4  equ     $fa5c           Chip-Select 4 Base Address Register
csor4   equ     $fa5e           Chip-Select 4 Option Register
csbar5  equ     $fa60           Chip-Select 5 Base Address Register
csor5   equ     $fa62           Chip-Select 5 Option Register
csbar6  equ     $fa64           Chip-Select 6 Base Address Register
csor6   equ     $fa66           Chip-Select 6 Option Register
csbar7  equ     $fa68           Chip-Select 7 Base Address Register
csor7   equ     $fa6a           Chip-Select 7 Option Register
csbar8  equ     $fa6c           Chip-Select 8 Base Address Register
csor8   equ     $fa6e           Chip-Select 8 Option Register
csbar9  equ     $fa70           Chip-Select 9 Base Address Register
csor9   equ     $fa72           Chip-Select 9 Option Register
csbar10 equ     $fa74           Chip-Select 10 Base Address Register
csor10  equ     $fa76           Chip-Select 10 Option Register


*****  SRAM Module Registers  *****

rammcr  equ     $fb00           RAM Module Configuration Register
ramtst  equ     $fb02           RAM Test Register
rambah  equ     $fb04           RAM Base Address High Register
rambal  equ     $fb06           RAM Base Address Low Register


*****  QSM Address Map *****

qmcr    equ     $fc00           QSM Module Configuration Register
qtest   equ     $fc02           QSM Test Register
quilr   equ     $fc04           QSM Interrupt Levels Register
qivr    equ     $fc05           QSM Interrupt Vector Register
sccr0   equ     $fc08           SCI Control Register 0
sccr1   equ     $fc0a           SCI Control Register 1
scsr    equ     $fc0c           SCI Status Register
scdr    equ     $fc0e           SCI Data Register
qpdr    equ     $fc15           QSM Port Data Register
qpar    equ     $fc16           QSM Pin Assignment Register
qddr    equ     $fc17           QSM Data Direction Register
spcr0   equ     $fc18           QSPI Control Register 0
spcr1   equ     $fc1a           QSPI Control Register 1
spcr2   equ     $fc1c           QSPI Control Register 2
spcr3   equ     $fc1e           QSPI Control Register 3
spsr    equ     $fc1f           QSPI Status Register
rr0     equ     $fd00           spi rec.ram 0
rr1     equ     $fd02           spi rec.ram 1
rr2     equ     $fd04           spi rec.ram 2
rr3     equ     $fd06           spi rec.ram 3
rr4     equ     $fd08           spi rec.ram 4
rr5     equ     $fd0a           spi rec.ram 5
rr6     equ     $fd0c           spi rec.ram 6
rr7     equ     $fd0e           spi rec.ram 7
rr8     equ     $fd00           spi rec.ram 8
rr9     equ     $fd02           spi rec.ram 9
rra     equ     $fd04           spi rec.ram A
rrb     equ     $fd06           spi rec.ram B
rrc     equ     $fd08           spi rec.ram C
rrd     equ     $fd0a           spi rec.ram D
rre     equ     $fd0c           spi rec.ram E
rrf     equ     $fd0e           spi rec.ram F
tr0     equ     $fd20           spi txd.ram 0
tr1     equ     $fd22           spi txd.ram 1
tr2     equ     $fd24           spi txd.ram 2
tr3     equ     $fd26           spi txd.ram 3
tr4     equ     $fd28           spi txd.ram 4
tr5     equ     $fd2a           spi txd.ram 5
tr6     equ     $fd2c           spi txd.ram 6
tr7     equ     $fd2e           spi txd.ram 7
tr8     equ     $fd30           spi txd.ram 8
tr9     equ     $fd32           spi txd.ram 9
tra     equ     $fd34           spi txd.ram A
trb     equ     $fd36           spi txd.ram B
trc     equ     $fd38           spi txd.ram C
trd     equ     $fd3a           spi txd.ram D
tre     equ     $fd3c           spi txd.ram E
trf     equ     $fd3e           spi txd.ram F
cr0     equ     $fd40           spi cmd.ram 0
cr1     equ     $fd41           spi cmd.ram 1
cr2     equ     $fd42           spi cmd.ram 2
cr3     equ     $fd43           spi cmd.ram 3
cr4     equ     $fd44           spi cmd.ram 4
cr5     equ     $fd45           spi cmd.ram 5
cr6     equ     $fd46           spi cmd.ram 6
cr7     equ     $fd47           spi cmd.ram 7
cr8     equ     $fd48           spi cmd.ram 8
cr9     equ     $fd49           spi cmd.ram 9
cra     equ     $fd4a           spi cmd.ram A
crb     equ     $fd4b           spi cmd.ram B
crc     equ     $fd4c           spi cmd.ram C
crd     equ     $fd4d           spi cmd.ram D
cre     equ     $fd4e           spi cmd.ram E
crf     equ     $fd4f           spi cmd.ram F


*****  GPT Module Registers  *****

gptmcr  equ     $f900           GPT Module Configuration Register
gptmtr  equ     $f902           GPT Module Test Register (Reserved)
icr     equ     $f904           GPT Interrupt Configuration Register
pddr    equ     $f906           Parallel Data Direction Register
gptpdr  equ     $f907           Parallel Data Register
oc1m    equ     $f908           OC1 Action Mask Register
oc1d    equ     $f909           OC1 Action Data Register
tcnt    equ     $f90a           Timer Counter Register
pactl   equ     $f90c           Pulse Accumulator Control Register
pacnt   equ     $f90d           Pulse Accumulator Counter
tic1    equ     $f90e           Input Capture Register 1
tic2    equ     $f910           Input Capture Register 2
tic3    equ     $f912           Input Capture Register 3
toc1    equ     $f914           Output Compare Register 1
toc2    equ     $f916           Output Compare Register 2
toc3    equ     $f918           Output Compare Register 3
toc4    equ     $f91a           Output Compare Register 4
ti4o5   equ     $f91c           Input Capture 4 or Output Compare 5
tctl1   equ     $f91e           Timer Control Register 1
tctl2   equ     $f91f           Timer Control Register 2
tmsk1   equ     $f920           Timer Interrupt Mask Register 1
tmsk2   equ     $f921           Timer Interrupt Mask Register 2
tflg1   equ     $f922           Timer Interrupt Flag Register 1
tflg2   equ     $f923           Timer Interrupt Flag Register 2
cforc   equ     $f924           Compare Force Register
pwmc    equ     $f924           PWM Control Register
pwma    equ     $f926           PWM Register A
pwmb    equ     $f927           PWM Register B
pwmcnt  equ     $f928           PWM Counter Register
pwmbufa equ     $f92a           PWM Buffer Register A
pwmbufb equ     $f92b           PWM Buffer Register B
prescl  equ     $f92c           GPT Prescaler


*****  ADC Module Registers  *****

adcmcr  equ     $f700           ADC Module Configuration Register
adtest  equ     $f702           ADC Test Register
adcpdr  equ     $f706           ADC Port Data Register
adctl0  equ     $f70a           A/D Control Register 0
adctl1  equ     $f70c           A/D Control Register 1
adstat  equ     $f70e           ADC Status Register
rjurr0  equ     $f710           Right Justified Unsigned Result Register 0
rjurr1  equ     $f712           Right Justified Unsigned Result Register 1
rjurr2  equ     $f714           Right Justified Unsigned Result Register 2
rjurr3  equ     $f716           Right Justified Unsigned Result Register 3
rjurr4  equ     $f718           Right Justified Unsigned Result Register 4
rjurr5  equ     $f71a           Right Justified Unsigned Result Register 5
rjurr6  equ     $f71c           Right Justified Unsigned Result Register 6
rjurr7  equ     $f71e           Right Justified Unsigned Result Register 7
ljsrr0  equ     $f720           Left Justified Signed Result Register 0
ljsrr1  equ     $f722           Left Justified Signed Result Register 1
ljsrr2  equ     $f724           Left Justified Signed Result Register 2
ljsrr3  equ     $f726           Left Justified Signed Result Register 3
ljsrr4  equ     $f728           Left Justified Signed Result Register 4
ljsrr5  equ     $f72a           Left Justified Signed Result Register 5
ljsrr6  equ     $f72c           Left Justified Signed Result Register 6
ljsrr7  equ     $f72e           Left Justified Signed Result Register 7
ljurr0  equ     $f730           Left Justified Unsigned Result Register 0
ljurr1  equ     $f732           Left Justified Unsigned Result Register 1
ljurr2  equ     $f734           Left Justified Unsigned Result Register 2
ljurr3  equ     $f736           Left Justified Unsigned Result Register 3
ljurr4  equ     $f738           Left Justified Unsigned Result Register 4
ljurr5  equ     $f73a           Left Justified Unsigned Result Register 5
ljurr6  equ     $f73c           Left Justified Unsigned Result Register 6
ljurr7  equ     $f73e           Left Justified Unsigned Result Register 7


*
*  Equates specific to tiny4th
*

ip	equ	rambeg+0		tiny4th instruction pointer
p0	equ	rambeg+2		partial 0, used by multiply
p1	equ	rambeg+4		partial 1, used by multiply
rtnstk	equ	stkbeg			top of return stack area
datastk	equ	stkbeg-$0040		top of data stack area


TRUE		equ	$ffff		all bits set = true
FALSE		equ	$0000		all bits clear = false


